GDAL-VECTOR-CHECK-COVERAGE(1)

NAME
gdal-vector-check-coverage - Check polygon coverage for validity

Added in version 3.12.

SYNOPSIS

    Usage: gdal vector check-coverage [OPTIONS] <INPUT> <OUTPUT>
    Check a polygon coverage for validity
    Positional arguments:
      -i, --input <INPUT>                                  Input vector datasets [required]
      -o, --output <OUTPUT>                                Output vector dataset [required]
    Common Options:
      -h, --help                                           Display help message and exit
      --json-usage                                         Display usage as JSON document and exit
      --config <KEY>=<VALUE>                               Configuration option [may be repeated]
      -q, --quiet                                          Quiet mode (no progress bar)
    Options:
      -l, --layer, --input-layer <INPUT-LAYER>             Input layer name(s) [may be repeated]
      -f, --of, --format, --output-format <OUTPUT-FORMAT>  Output format ("GDALG" allowed)
      --co, --creation-option <KEY>=<VALUE>                Creation option [may be repeated]
      --lco, --layer-creation-option <KEY>=<VALUE>         Layer creation option [may be repeated]
      --overwrite                                          Whether overwriting existing output is allowed
      --update                                             Whether to open existing dataset in update mode
      --overwrite-layer                                    Whether overwriting existing output is allowed
      --append                                             Whether appending to existing layer is allowed
                                                           Mutually exclusive with --upsert
      --output-layer <OUTPUT-LAYER>                        Output layer name
      --skip-errors                                        Skip errors when writing features
      --include-valid                                      Include valid inputs in output, with empty geometry
      --geometry-field <GEOMETRY-FIELD>                    Name of geometry field to check
      --maximum-gap-width <MAXIMUM-GAP-WIDTH>              Maximum width of a gap to be flagged
    Advanced Options:
      --if, --input-format <INPUT-FORMAT>                  Input formats [may be repeated]
      --oo, --open-option <KEY>=<VALUE>                    Open options [may be repeated]
      --output-oo, --output-open-option <KEY>=<VALUE>      Output open options [may be repeated]
      --upsert                                             Upsert features (implies 'append')
                                                           Mutually exclusive with --append

DESCRIPTION

gdal vector check-coverage checks whether a polygon dataset forms a valid coverage, meaning:

•   no polygons overlap

•   all shared edges have nodes at the same locations

•   any gaps between polygons are larger than a specified width

    For each polygon not satisfying these criteria, a linear feature with the geometry of the invalid edge is output. If the coverage is valid, the output dataset will be empty unless --include-valid is used.

    It is assumed that the individual polygons are themselves valid according to the OGC Simple Features standard. This can be checked by gdal vector check-geometry.

    NOTE: This command requires a GDAL build against the GEOS library (version 3.12 or greater).

  Standard options

--geometry-field
    Specify the name of the geometry field to test, for layers having multiple geometry fields. By default the first geometry field will be used.

--include-valid
    Include features for valid geometries in the output, maintaining 1:1 correspondence between input and output features.

--maximum-gap-width <MAXIMUM-GAP-WIDTH>
    Defines the largest area that should be considered a gap.

-f, --of, --format, --output-format <OUTPUT-FORMAT>
    Which output vector format to use. Allowed values may be given by gdal --formats | grep vector | grep rw | sort

--co <NAME>=<VALUE>
    Many formats have one or more optional dataset creation options that can be used to control particulars about the file created. For instance, the GeoPackage driver supports creation options to control the version.

    May be repeated.

    The dataset creation options available vary by format driver, and some simple formats have no creation options at all. A list of options supported for a format can be listed with the --formats command line option but the documentation for the format is the definitive source of information on driver creation options. See Vector drivers format specific documentation for legal creation options for each format.

    Note that dataset creation options are different from layer creation options.

-lco <NAME>=<VALUE>
    Layer creation option (format specific)

--overwrite
    Allow program to overwrite existing target file or dataset. Otherwise, by default, gdal errors out if the target file or dataset already exists.

  Advanced options

--oo <NAME>=<VALUE>
    Dataset open option (format specific).

    May be repeated.

--if <format>
    Format/driver name to be attempted to open the input file(s). It is generally not necessary to specify it, but it can be used to skip automatic driver detection, when it fails to select the appropriate driver. This option can be repeated several times to specify several candidate drivers. Note that it does not force those drivers to open the dataset. In particular, some drivers have requirements on file extensions.

    May be repeated.

GDALG OUTPUT (ON-THE-FLY / STREAMED DATASET)

This program supports serializing the command line as a JSON file using the GDALG output format. The resulting file can then be opened as a vector dataset using the GDALG: GDAL Streamed Algorithm driver, and apply the specified pipeline in a on-the-fly / streamed way.

NOTE: However this algorithm is not natively streaming compatible. Consequently a in-memory temporary dataset will be generated, which may cause significant processing time at opening.

AUTHOR
Dan Baston <dbaston@gmail.com>

COPYRIGHT
1998-2025